Last Comment Bug 918854 - Switch to using Gravatars
: Switch to using Gravatars
Status: RESOLVED FIXED
u=contributors c=users p=3 s=2013.21 ...
:
Product: support.mozilla.org
Classification: Other
Component: Users and Groups (show other bugs)
: unspecified
: All All
: P3 normal (vote)
: 2013Q4
Assigned To: Rehan Dalal [:rehan, :rdalal]
:
:
Mentors:
Depends on:
Blocks: 932300
  Show dependency treegraph
 
Reported: 2013-09-20 08:23 PDT by Rehan Dalal [:rehan, :rdalal]
Modified: 2013-10-29 07:32 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Rehan Dalal [:rehan, :rdalal] 2013-09-20 08:23:58 PDT
As discussed with Kadir on Skype earlier today we've decided to switch from our current locally stored avatars to gravatars. This will allow us to:
- Worry less about dealing with image uploads
- Let gravatar do the heavy lifting for delivering the correct image size
- Pull existing gravatars for user that may not have sumo avatars and hopefully have less default/no-avatar avatars.

As part of the implementation we will be:
- Pulling the gravatar by email
- If no gravatar exists we use the local avatar as the fallback
- When a user goes to edit their profile they will be directed to gravatar.com to update their avatar.

Their may be some initial friction for a few users who may be unfamiliar with gravatars, but for the most part I think this will solve a lot of problems and be a pretty smooth process.
Comment 1 Ricky Rosario [:rrosario, :r1cky] 2013-10-14 08:44:48 PDT
pushing to next sprint.
Comment 2 Ricky Rosario [:rrosario, :r1cky] 2013-10-15 07:46:27 PDT
I think this is a pretty involved change. We need to change the edit profile form, remove avatar upload handling from the UI and views, clean up all the avatars that have been uploaded, etc.

3pts
Comment 3 Ricky Rosario [:rrosario, :r1cky] 2013-10-21 07:19:04 PDT
Pretty sure :rdalal is on this.
Comment 4 Mike Cooper [:mythmon] 2013-10-22 09:21:55 PDT
Kadir asked for this to be put on stage for a while before we go live, so adding the [needsverify] tag to the whiteboard.
Comment 5 Rehan Dalal [:rehan, :rdalal] 2013-10-25 05:08:45 PDT
Pushed to stage for verification.
Comment 6 Kadir Topal [:atopal] 2013-10-25 07:05:23 PDT
Hey Rehan, thanks for thins change. Looks really good.

One confusing thing though:

When I add an image on Gravatar, I'm still on the "edit profile" page on SUMO. The changes on Gravatar are not reflected on SUMO though. That is pretty confusing. I didn't know what to do to have the change reflected on SUMO.

We could either let people know that they have to reload the page when they have added an avatar or reload the page periodically (bad). It would be best of course if there was a way to detect that change on Gravatar. Not sure if their API allows for that though.

In case there is no API call for that, I'd say: let's show a message below the image on the "Edit profile" page that says: "It can take a few minutes for the avatar change to take effect. Please reload this page to see the new avatar."

Madalina, what's your take on this?
Comment 7 Rehan Dalal [:rehan, :rdalal] 2013-10-25 07:12:16 PDT
So the Gravatar can take a couple of minutes to update, it has to propagate over their CDN. Adding that text somewhere would make sense I think.
Comment 9 Ricky Rosario [:rrosario, :r1cky] 2013-10-29 06:59:25 PDT
I talked to Madalina and she is OK with what we did. YAY!
Comment 10 Will Kahn-Greene [:willkg] 2013-10-29 07:20:08 PDT
https://support.mozilla.org/en-US/forums/contributors/709700?last=54875#post-54854

That suggests there's http/https mixed-content stuff going on.

Note You need to log in before you can comment on or make changes to this bug.